aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell/integration
diff options
context:
space:
mode:
authorGravatar Klaus Aehlig <aehlig@google.com>2017-01-23 17:09:39 +0000
committerGravatar John Cater <jcater@google.com>2017-01-23 19:39:25 +0000
commit1b53d10f9a461528bb1ef967499df28586700e2d (patch)
treec995f46c0bf55a081d16a49db4a2e3a115bfe1f7 /src/test/shell/integration
parenta9f7efc69f170c5c9c52b219abcbd63b8d535181 (diff)
Fix inaccurate failure message in build_event_stream_test
-- Change-Id: I0aa54455ba4a17ad42a22c31a04f6417544ea6df Reviewed-on: https://cr.bazel.build/8431 PiperOrigin-RevId: 145293680 MOS_MIGRATED_REVID=145293680
Diffstat (limited to 'src/test/shell/integration')
-rwxr-xr-xsrc/test/shell/integration/build_event_stream_test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/test/shell/integration/build_event_stream_test.sh b/src/test/shell/integration/build_event_stream_test.sh
index 84e7363a00..e26d627f2a 100755
--- a/src/test/shell/integration/build_event_stream_test.sh
+++ b/src/test/shell/integration/build_event_stream_test.sh
@@ -113,7 +113,7 @@ function test_multiple_transports() {
function test_root_cause_early() {
(bazel build --experimental_build_event_text_file=$TEST_log \
- pkg:fails_to_build && fail "bazel test failed") || true
+ pkg:fails_to_build && fail "build failure expected") || true
# We expect precisely one action being reported (the failed one) and
# precisely on report on a completed target; moreover, the action has
# to be reported first.